package org.ahmadsoft.stream.loader;

import java.io.File;
import java.io.FileInputStream;
import java.sql.Blob;
import java.sql.Connection;
import java.sql.Date;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

/**
 * Loads presidential data.
 * @author Amin Ahmad
 */
public class DataLoader {

	/** 
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		Class.forName("com.mysql.jdbc.Driver");
		Connection connection = DriverManager.getConnection("jdbc:mysql://localhost/mysql?user=root&password=foo");
		
		//connection.createStatement().executeUpdate("DELETE FROM PRESIDENT");
		PreparedStatement s = connection.prepareStatement("INSERT INTO PRESIDENT (TX_NAME, TX_SUMMARY, DT_OFFICE_ST, DT_OFFICE_END, NM_TERM, BL_THUMBNAIL) VALUES (?,?,?,?,?,?)");
		
		Object[][] rawData = new Object[][] {
			{   "George Washington",
				"George Washington (February 22, 1732December 14, 1799)[1] led America\'s Continental Army to victory over Britain in the American Revolutionary War (17751783), and was later elected the first President of the United States. He served two four-year terms from 1789 to 1797, having been reelected in 1792. Because of his central role in the founding of the United States, Washington is often referred to as the \"Father of his Country\". His devotion to republicanism and civic virtue made him an exemplary figure among early American politicians.\r\n",
				"April 30, 1789",
				"March 4, 1797"
			},
			{
				"John Adams",
				"John Adams (October 30, 1735  July 4, 1826) was a politician and Founding Father of the United States of America who served both as that nation\'s first Vice President (17891797), and as its second President (17971801). He was defeated for re-election in the \"Revolution of 1800\" by Thomas Jefferson. Adams was a sponsor of the American Revolution in Massachusetts, and a diplomat in the 1770s. He was a driving force for independence in 1776; in fact, the \"Colossus of Independence,\" in Jefferson\'s understanding. As a statesman and author Adams helped define a set of republican ideals that became the core of America\'s political value system: the rejection of hereditary monarchy in favor of rule by the people, hatred of corruption, and devotion to civic duty. As President he was frustrated by battles inside his own Federalist party against a faction led by Alexander Hamilton, but he broke with them to avert a major conflict with France in 1798, during the Quasi-War crisis. He became the founder of an important family of politicians, diplomats and historians, and in recent years his reputation has been rising. Historian Robert Rutland concluded, \"Madison was the great intellectual ... Jefferson the ... unquenchable idealist, and Franklin the most charming and versatile genius... but Adams is the most captivating founding father on most counts.\"[1]",
				"March 4, 1797",
				"March 4, 1801"
			},
			{
				"Thomas Jefferson",
				"Thomas Jefferson (April 13, 1743 N.S.  July 4, 1826) was the third President of the United States (18011809), the principal author of the Declaration of Independence (1776), and an influential founder of the United States. Major events during his presidency include the Louisiana Purchase (1803), the Lewis and Clark Expedition (18041806), and the failed Embargo Act of 1807.",
				"March 4, 1801",
				"March 4, 1809"
			},
			{
				"James Madison",
				"James Madison (March 16, 1751  June 28, 1836) was the fourth President of the United States (18091817). Because of his major contributions to the Constitutional Convention of 1787, he is known as the \"Father of the Constitution.\" In 1788 Madison and others wrote interpretive essays on the Constitution known as The Federalist Papers, which remain the most influential interpretation of its meaning. As a key leader in the First Congress, he designed and passed the Bill of Rights (1791). Undergirding his politics was a fervent belief in republicanism as the new nation\'s overarching social and political value system.",
				"March 4, 1809",
				"March 4, 1817"
			} ,
			{
				"James Monroe",
				"James Monroe (April 28, 1758-July 4, 1831) was the fifth President of the United States (1817-1825). His administration was marked by the acquisition of Florida (1819), the Missouri Compromise (1820), in which Missouri was declared a slave state, and the profession of the Monroe Doctrine (1823), declaring U.S. opposition to European interference in the Americas.",
				"March 4, 1817",
				"March 4, 1825"
			} ,
			{
				"John Quincy Adams",
				"John Quincy Adams (July 11, 1767  February 23, 1848) was an American lawyer, diplomat, politician, and President of the United States (March 4, [lavery by using his war powers, a policy followed by Abraham Lincoln in the Emancipation Proclamation of 1863.",
				"March 4, 1825",
				"March 4, 1829"
			} ,
			{
				"Andrew Jackson",
				"Andrew Jackson (March 15, 1767  June 8, 1845) was the seventh President of the United States (1829-1837), He was military governor of Florida (1821), general of the Battle of New Orleans (1815), a co-founder of the Democratic Party, and the eponym of the era of Jacksonian democracy. He was a polarizing figure who helped shape the Second Party System of American politics in the 1820s and 1830s.",
				"March 4, 1829",
				"March 4, 1837"
			} ,
			{
				"Martin Van Buren",
				"Martin Van Buren (December 5, 1782  July 24, 1862), nicknamed Old Kinderhook, was the eighth President of the United States. He was a key organizer of the Democratic Party, a dominant figure in the Second Party System, and the first president who was not of English, Irish, or Scottish descent. He is also the only president not to have spoken English as his first language, but rather grew up speaking Dutch.",
				"March 4, 1837",
				"March 4, 1841"
			},
			{
				"William H. Harrison",
				"William Henry Harrison (February 9, 1773  April 4, 1841) was an American military leader, politician, and the ninth President of the United States, (1841). He served as the first Governor of the Indiana Territory and later as a U.S. Representative and Senator from Ohio. Harrison first gained national fame as a war hero, defeating American Indians at the Battle of Tippecanoe in 1811 and earning the nickname \"Tippecanoe\" (or \"Old Tippecanoe\"). As a general in the subsequent War of 1812, his most notable contribution was a victory at the Battle of the Thames, which brought the war in his region to a successful conclusion.",
				"March 4, 1841",
				"April 4, 1841",
			},
			{
				"John Tyler",
				"John Tyler (March 29, 1790  January 18, 1862) was the tenth (1841-1845) President of the United States. A long-time Democrat, he was elected Vice President on the Whig ticket and on becoming president, in 1841, he broke with that party. His most famous achievement was the annexation of the Republic of Texas in 1845. He was the first president born after the adoption of the U.S. Constitution and the first to assume the office of President upon the death of his predecessor (William Henry Harrison).",
				"April 4, 1841",
				"March 4, 1845",
			},
			{
				"James K. Polk",
				"James Knox Polk (November 2, 1795June 15, 1849) was the eleventh President of the United States, serving from March 4, 1845 to March 4, 1849. Polk was born in Mecklenburg County, North Carolina but mostly lived in and represented the state of Tennessee. A Democrat, Polk served as Speaker of the House (18351839) and governor of Tennessee (18391841) prior to becoming president. Polk was the first president who retired after one term and did not seek reelection. He is noted for his success in winning a war with Mexico and adding vast new territories. He lowered the tariff and established a treasury system that lasted until 1913. A \"dark horse\" in 1844, he fulfilled his promise to serve only one term, and died three months after his term ended",
				"March 4, 1845",
				"March 4, 1849",
			},
			{
				"Zachary Taylor",
				"Zachary Taylor (November 24, 1784  July 9, 1850) was an American military leader and the twelfth President of the United States. Taylor had a 40-year military career in the U.S. Army, serving in the War of 1812, Black Hawk War, and Second Seminole War before achieving fame while leading U.S. troops to victory at several critical battles of the Mexican-American War. A Southern slaveholder who opposed the spread of slavery to the territories, he was uninterested in politics but was recruited by the Whig Party as their nominee in the 1848 presidential election. In the election Taylor defeated the Democratic nominee, Lewis Cass, and became the first U.S. president never to hold any prior office. Known as \"Old Rough and Ready,\" Taylor died of acute gastroenteritis just 16 months into his term. Vice President Millard Fillmore became President.",
				"March 4, 1849",
				"July 9, 1850",
			},
			{
				"Millard Fillmore",
				"Millard Fillmore (January 7, 1800  March 8, 1874) was the thirteenth President of the United States, serving from 1850 until 1853, and the last member of the Whig Party to hold that office. He succeeded from the Vice Presidency on the death of President Zachary Taylor, who died of acute gastroenteritis, becoming the second U.S. President to assume the office in this manner. Fillmore was never elected President in his own right; after serving out Taylor\'s term he was not nominated for the Presidency by the Whigs in the 1852 Presidential election, and in 1856 he again failed to win election as President as the Know Nothing Party candidate.",
				"July 9, 1850",
				"March 4, 1853",
			},
			{
				"Franklin Pierce",
				"Franklin Pierce, Sr. (November 23, 1804  October 8, 1869) was an American politician and the 14th President of the United States, serving from 1853 to 1857. Pierce was a Democrat and a \"doughface\" (a Northerner with Southern sympathies) who served in the U.S. House of Representatives and Senate. Later, Pierce took part in the Mexican-American War, becoming a brigadier general. His private law practice in his home state, New Hampshire, was so successful that he turned down several important positions. Later, he was nominated for president as a \"dark horse\" candidate on the 49th ballot at the 1852 Democratic National Convention. In the presidential election, Pierce and his running mate William R. King won in a landslide, beating Winfield Scott by a 50 to 44% margin in the popular vote and 254 to 42 in the electoral vote. He became the youngest president up until that time.",
				"March 4, 1853",
				"March 4, 1857",
			},
			{
				"James Buchanan",
				"James Buchanan (April 23, 1791  June 1, 1868) was the 15th president of the United States (18571861). He was the only bachelor president and the only resident of Pennsylvania to hold the office of President. He has been criticized for failing to prevent the country from sliding into the American Civil War. On Buchanan\'s final day as president, he remarked to the incoming Abraham Lincoln, \"If you are as happy in entering the White House as I shall feel on returning to Wheatland you are a happy man",
				"March 4, 1857",
				"March 4, 1861",
			},
			{
				"Abraham Lincoln",
				"Abraham Lincoln (February 12, 1809  April 15, 1865) was an American politician who was elected the 16th President of the United States (serving from 1861 to 1865), and was the first president from the Republican Party. Today, he is best known for ending slavery and preserving the Union through his supervision of the Federal (i.e., Northern) forces during the American Civil War. He selected the generals and approved their strategy; selected senior civilian officials; supervised diplomacy, patronage, and party operations; and rallied public opinion through messages and speeches. Lincoln\'s influence was magnified by his powerful rhetoric; his Gettysburg Address rededicated the nation to freedom and democracy and remains a core component of the American value sy",
				"March 4, 1861",
				"April 15, 1865 ",
			},
			{
				"Andrew Johnson",
				"Andrew Johnson (December 29, 1808  July 31, 1875) was the seventeenth President of the United States (18651869), succeeding to the presidency upon the assassination of Abraham Lincoln.",
				"April 15, 1865 ",
				"March 4, 1869",
			},
			{
				"Ulysses S. Grant",
				"Ulysses S. Grant (born Hiram Ulysses Grant, April 27, 1822  July 23, 1885) was an American general and politician who was elected as the 18th President of the United States (18691877). He achieved international fame as the leading Union general in the American Civil War.",
				"March 4, 1869",
				"March 4, 1877",
			},
			{
				"Rutherford B. Hayes",
				"Rutherford Birchard Hayes (October 4, 1822  January 17, 1893) was an American politician, lawyer, military leader and the 19th President of the United States (1877-1881).",
				"March 4, 1877",
				"March 4, 1881",
			},
			{
				"James Garfield",
				"James Abram Garfield (November 19, 1831  September 19, 1881) was the 20th President of the United States (1881) and the second U.S. President to be assassinated (Abraham Lincoln was the first). His term was the second shortest in U.S. history, after William Henry Harrison\'s. Holding office from March to September of 1881, President Garfield was in office for a total of just six months and fifte",
				"March 4, 1881",
				"September 19, 1881",
			},
			{
				"Chester A. Arthur",
				"Chester Alan Arthur (October 5, 1829  November 18, 1886) was an American politician who served as the twenty-first President of the United States. Arthur was a member of the Republican Party and worked as a lawyer before becoming the 20th vice president under James Garfield. While Garfield was mortally wounded by Charles Guiteau on July 2, 1881, he did not die until September 19, at which time Arthur was sworn in as president, serving until March 4, 1885",
				"September 19, 1881",
				"March 4, 1885",
			},
			{
				"Grover Cleveland",
				"Stephen Grover Cleveland (March 18, 1837  June 24, 1908) was the 22nd (18851889) and 24th (18931897) President of the United States, and the only President to serve two non-consecutive terms. He was the only Democrat elected to the Presidency in the era of Republican political domination between 1860 and 1912, and was the first Democrat to be elected after the Civil War. His admirers praise him for his bedrock honesty, independence, integrity and commitment to the principles of classical liberalism. As a leader of the Bourbon Democrats he opposed imperialism, taxes, corruption, patronage, subsidies and inflationary policies. His intervention in the Pullman Strike of 1894 in order to keep the railroads moving angered labor unions. His support for the gold standard and opposition to free silver angered the agrarian wing of the party.",
				"March 4, 1885",
				"March 4, 1889",
			},
			{
				"Benjamin Harrison",
				"Benjamin Harrison VI (August 20, 1833  March 13, 1901) was the 23rd President of the United States, serving one term from 1889 to 1893. He had previously served as a senator from Indiana. Nicknames such as \"Kid Gloves\" and \"Little Ben\" were mocking titles given by his political rivals",
				"March 4, 1889",
				"March 4, 1893",
			},
			{
				"Grover Cleveland",
				"Stephen Grover Cleveland (March 18, 1837  June 24, 1908) was the 22nd (18851889) and 24th (18931897) President of the United States, and the only President to serve two non-consecutive terms. He was the only Democrat elected to the Presidency in the era of Republican political domination between 1860 and 1912, and was the first Democrat to be elected after the Civil War. His admirers praise him for his bedrock honesty, independence, integrity and commitment to the principles of classical liberalism. As a leader of the Bourbon Democrats he opposed imperialism, taxes, corruption, patronage, subsidies and inflationary policies. His intervention in the Pullman Strike of 1894 in order to keep the railroads moving angered labor unions. His support for the gold standard and opposition to free silver angered the agrarian wing of the party.",
				"March 4, 1893",
				"March 4, 1897", 
				
			},
			{
				"William McKinley",
				"William McKinley (January 29, 1843  September 14, 1901) was the 25th President of the United States. By the 1880s, the Ohioan was a nationally known Republican leader; his signature issue was high tariffs on imports as a formula for prosperity, as typified by his McKinley Tariff of 1890. In 1896, he rallied the business and financial communities behind his successful effort to defend the Gold Standard against Free Silver. An indefatigable campaigner, he helped rebuild the Republican Party in 1896 by rejecting divisive ethnic issues and promoting pluralismwhereby every group in the nation would prosper and none would be singled out for attack. Working with campaign manager Mark Hanna, McKinley introduced new advertising-style campaign techniques that revolutionized campaign practices and beat back the crusading of his arch-rival, William Jennings Bryan. The 1896 election is considered a realigning election that ended the Third Party System and opened the Progressive Era or Fourth Party System. McKinley presided over a return to prosperity after the Panic of 1893 and was reelected in 1900 after another intense campaign. As president, he fought the Spanish-American War in response to reports of Spanish atrocities in Cuba. After victory in the \"splendid little war\", he annexed the Philippines, Puerto Rico, and Guam, as well as Hawaii. He was assassinated by an anarchist and succeeded by Theodore Roosevelt.",
				"March 4, 1897",
				"September 14, 1901",
			},
			{
				"Theodore Roosevelt",
				"Theodore Roosevelt, Jr. (October 27, 1858  January 6, 1919), also known as T.R. and to the public as Teddy, (hence, the teddy bear was named after him) was the 26th President of the United States. Roosevelt is most famous for his personality  he dominated a generation by his energy, his vast range of interests and achievements, and his model of masculinity  the famous cowboy persona. In 1901, he became President after the assassination of President William McKinley. Roosevelt was a Progressive reformer who sought to move the Republican Party into the Progressive camp. He distrusted wealthy businessmen and dissolved 40 monopolistic corporations as a \"trust buster.\" He said he wanted to \"Regulate trusts, but not destroy them.\" His \"Square Deal\" promised a fair shake for the average citizen, including regulation of railroad rates and pure foods and drugs. As an outdoorsman he promoted the conservation movement, emphasizing efficient use of natural resources. After he started attacking the courts as biased against labor unions, he broke with his friend and anointed successor William Howard Taft and ran unsuccessfully as a third-party candidate in 1912 on the Bull Moose ticket.",
				"September 14, 1901",
				"March 4, 1909",
			},
			{
				"William H. Taft",
				"William Howard Taft (September 15, 1857  March 8, 1930) was an American politician, the 27th President of the United States, the 10th Chief Justice of the United States, a leader of the progressive conservative wing of the Republican Party in the early twentieth century, a chaired professor at Yale Law School, a pioneer in international arbitration, and a staunch advocate of world peace that verged on pacifism (although the pacifists of his time did not call him one of their own).",
				"March 4, 1909",
				"March 4, 1913",
			},
			{
				"Woodrow Wilson",
				"Thomas Woodrow Wilson (December 28, 1856  February 3, 1924) was the 28th President of the United States. A devout Presbyterian and leading intellectual of the Progressive Era, he served as president of Princeton University then became the reform governor of New Jersey in 1910. With Theodore Roosevelt and William Howard Taft dividing the Republican vote, Wilson was elected President as a Democrat in 1912. He proved highly successful in leading a Democratic Congress to pass major legislation including the Federal Reserve System, the Federal Trade Commission, the Clayton Antitrust Act, the Underwood Tariff and the Federal Farm Loan Act. Re-elected in 1916, his second term centered on World War I. He tried to negotiate a peace in Europe but when Germany began unrestricted submarine warfare against American shipping he called on Congress to declare war. Ignoring military affairs, he focused on diplomacy and finance. On the home front he began the first effective draft in 1917, raised billions through liberty loans, imposed an income tax on the wealthy, set up the War Industries Board, promoted labor union growth, supervised agriculture and food production through the Lever act, took over control of the railroads, and suppressed left-wing anti-war movements. He paid surprisingly little attention to military affairs, but provided the funding and food supplies that made Allied victory in 1918 possible. He went to Paris in 1919 to create the League of Nations and shape the Treaty of Versailles. Wilson collapsed with a debilitating stroke in 1919, as the homefront saw massive strikes and race riots, and wartime prosperity turn into postwar depression. He refused to compromise with the Republicans who controlled Congress after 1918, so the Senate failed to ratify the Versailles Treaty. It went into effect anyway, but the U.S. never joined the League of Nations. The consensus of presidential experts ranks him in the first or second tier of best presidents, in a 1982 poll it ranked him sixth out of thirty six presidents, and in a 2000 poll it ranked him sixth again out of forty one presidents.[1]",
				"March 4, 1913",
				"March 4, 1921",
			},
			{
				"Warren G. Harding",
				"Warren Gamaliel Harding (November 2, 1865  August 2, 1923) was an American politician and the 29th President of the United States, serving from 1921 to 1923, when he became the sixth president to die in office. A Republican from the U.S. state of Ohio, Harding was an influential newspaper publisher with a flair for public speaking[citation needed] before entering politics, first in the Ohio Senate (18991903) and later as lieutenant governor of Ohio (19031905). His political leanings were conservative, and his record in both offices was relatively undistinguished",
				"March 4, 1921",
				"August 2, 1923",
			},
			{
				"Calvin Coolidge",
				"John Calvin Coolidge, Jr. (July 4, 1872  January 5, 1933) was the 30th President of the United States (1923-1929), succeeding to office upon the death of Warren G. Harding.",
				"August 2, 1923",
				"March 4, 1929",
			},
			{
				"Herbert Hoover",
				"Herbert Clark Hoover (August 10, 1874  October 20, 1964), the 31st President of the United States (1929-1933), was a successful mining engineer, and administrator. He showed the Efficiency Movement component of the Progressive Era, arguing there were other solutions to all social and economic problemsa position that was challenged by the Great Depression that began while he was President",
				"March 4, 1929",
				"March 4, 1933",
			},
			{
				"Franklin D. Roosevelt",
				"Franklin Delano Roosevelt (January 30, 1882  April 12, 1945), often referred to by his initials FDR, was the 32nd President of the United States. Elected to four terms in office, he served from 1933 to 1945, and is the only U.S. president to have served more than two terms. A central figure of the 20th century, he has consistently been ranked as one of the three greatest U.S. presidents in scholarly ",
				"March 4, 1933",
				"April 12, 1945",
			},
			{
				"Harry S. Truman",
				"Harry S Truman (May 8, 1884December 26, 1972) was the thirty-third President of the United States (19451953); as Vice President, he succeeded to the office upon the death of Franklin D. Roosevelt.\r\n" +
				"In domestic affairs, Truman faced challenge after challenge: a tumultuous reconversion of the economy marked by severe shortages, numerous strikes and the passage of the Taft-Hartley Act over his veto. After confounding all predictions to win re-election in 1948, he was able to pass almost none of his Fair Deal program. He used executive orders to begin desegregation of the U.S. armed forces and to launch a system of loyalty checks to remove thousands of Communist sympathizers from government office; he was nevertheless under continuous assault for much of his term for supposedly being \"soft on Communism.\" Another ongoing domestic political problem was the perception of corruption among members of his administration: hundreds of his appointees were forced to resign in a series of financial scandals.",
				"April 12, 1945",
				"January 20, 1953",
			},
			{
				"Dwight Eisenhower",
				"Dwight David Eisenhower (also known as Ike) (born David Dwight Eisenhower on October 14, 1890  March 28, 1969) was an American soldier and politician. During World War II, he served as Supreme Commander of the Allied forces in Europe, with responsibility for planning and supervising the successful invasion of France and Germany in 1944-45. In 1949 he became the first supreme commander of NATO. As a Republican, he was elected the 34th President of the United States (19531961). As president he ended the Korean War, kept up the pressure on the Soviet Union during the Cold War, re-oriented the defense budget toward nuclear weapons, launched the space race, enlarged the Social Security program, and began building the interstate highway system.",
				"January 20, 1953",
				"January 20, 1961",
			},
			{
				"John F. Kennedy",
				"John Fitzgerald Kennedy (May 29, 1917November 22, 1963), also referred to as John F. Kennedy, JFK, John Kennedy, or Jack Kennedy, was the 35th President of the United States. He served from 1961 until his assassination in 1963. His leadership during the ramming of his USS PT-109 during World War II led to being cited for bravery and heroism in the South Pacific. Kennedy represented Massachusetts during 19471960, as both a member of the U.S. House of Representatives and U.S. Senate. He was elected President in 1960 in one of the closest elections in American history. He is, to date, the only Roman Catholic to be elected President of the United States",
				"January 20, 1961",
				"November 22, 1963",
			},
			{
				"Lyndon B. Johnson",
				"Lyndon Baines Johnson (August 27, 1908  January 22, 1973), often referred to as LBJ, was the 36th President of the United States (19631969). After serving a long career in the U.S. Congress, Johnson became the 37th Vice President; in 1963, he succeeded to the presidency following President John F. Kennedy\'s assassination. He was a major leader of the Democratic Party and as President was responsible for designing his Great Society, comprising liberal legislation including civil rights laws, Medicare (health care for the elderly), Medicaid (health care for the poor), aid to education, and a major \"War on Poverty\". Simultaneously he escalated the Vietnam War, from 16,000 American soldiers in 1963 to 550,000 in early 1968, of whom over 1000 were killed every month",
				"November 22, 1963",
				"January 20, 1969",
			},
			{
				"Richard Nixon",
				"Richard Milhous Nixon (January 9, 1913  April 22, 1994) was the 37th President of the United States, serving from 1969 to 1974. He is the only U.S. President to have resigned from office. His resignation came in the face of imminent impeachment related to the Watergate scandal. Nixon\'s abuse of his office, as well as his broad view of the prerogatives of the president, led many to call his time in the White House the Imperial Presidency.",
				"January 20, 1969",
				"August 9, 1974",
			},
			{
				"Gerald Ford",
				"Gerald Rudolph Ford, Jr., (born Leslie Lynch King Jr. on July 14, 1913) was the 38th (19741977) President of the United States. Ford also served as the 40th (19731974) Vice President. He was the first person appointed to the Vice-Presidency under the terms of the 25th Amendment, and upon succession to the presidency became the first (and to date, only) president in U.S. history to fill that office without having been elected either President or Vice-President. He is also the longest lived United States president ever, having surpassed Ronald Reagan's record on November 12, 2006.",
				"August 9, 1974",
				"January 20, 1977",
			},
			{
				"Jimmy Carter",
				"James Earl Carter, Jr. (born October 1, 1924), was the 39th President of the United States (19771981) and the Nobel Peace laureate in 2002. Previously, he was the Governor of Georgia (19711975). Carter won the Democratic nomination as a dark horse candidate, and went on to defeat incumbent Gerald Ford in the 1976 presidential election.\r\n",
				"January 20, 1977",
				"January 20, 1989", 
			},
			{
				"Ronald Reagan",
				"Ronald Wilson Reagan (February 6, 1911  June 5, 2004) was the 40th President of the United States (19811989) and the 33rd Governor of California (19671975). He is considered an icon of American conservatism. At age 69, he was the oldest person ever elected President. Before entering politics, Reagan was a popular motion picture actor, head of the Screen Actors Guild, and a motivational speaker. He was an \"FDR Democrat\" in the 1930s and 1940s but became a Republican in the 1960s. His persuasive speaking style earned Reagan the title \"The Great Communicator.\" He gained national attention campaigning for Barry Goldwater in 1964, and after Goldwater\'s defeat his supporters and conservatives generally across the country gravitated to Reagan, who was elected governor of the largest state, California, in 1966 and reelected in 1970. In 1976, Reagan made an unsuccessful bid for the Republican Presidential nomination against incumbent Gerald Ford. By 1980, Reagan dominated the GOP and faced a much weakened President Jimmy Carter, whose performance in domestic and foreign policies Reagan denounced. Winning in a landslide and bringing in the Senate on his coattails, President Reagan had a momentous first term. He escalated the Cold War with the Soviet Union, then negotiated massive arms reductions with the Soviets in the late 1980s. Rejecting both containment and dtente, Reagan called for roll-back and the destruction of communism. His economic and foreign policies have formed the base of American conservatism since ",
				"January 20, 1989",
				"January 20, 1989",
			},
			{
				"George H. W. Bush",
				"George Herbert Walker Bush (born June 12, 1924) was the 41st President of the United States of America serving from 1989 to 1993. Prior to his presidency, Bush had been the 43rd Vice President of the United States under President Ronald Reagan. He was also a U.S. Congressman from Texas (19671971), United States Ambassador to the United Nations (19711973), Republican National Committee Chairman (19731974), Chief of the U.S. Liaison Office in the People\'s Republic of China (19741976), and Director of the Central Intelligence Agency (19761977",
				"January 20, 1989",
				"January 20, 1993",
			},
			{
				"Bill Clinton",
				"William Jefferson \"Bill\" Clinton (born William Jefferson Blythe III on August 19, 1946) was the 42nd President of the United States, serving from 1993 to 2001. Before his election as President, Clinton served nearly 12 years as the 50th and 52nd Governor of Arkansas. His wife, Hillary Rodham Clinton, is the junior United States Senator from New York, where they both reside. Clinton founded and heads the William J. Clinton Foundation.",
				"January 20, 1993",
				"January 20, 2001",
			},
			{
				"George W. Bush",
				"George Walker Bush (born July 6, 1946) is the 43rd and current President of the United States, inaugurated on January 20, 2001. He was re-elected in the 2004 Presidential election. He formerly served as the 46th Governor of Texas from 1995 to 2000. A Republican, he belongs to the politically influential Bush family, being the eldest son of the 41st U.S. President, George Bush, a grandson of Prescott Bush, former U.S. Senator from Connecticut, and elder brother to Jeb Bush, Governor of Florida.",
				"January 20, 2001",
				"January 20, 2009",
			}
				
		};
		/*
		 * ,
			{
				"",
				"",
				"",
				""
			}
		 */
		
		SimpleDateFormat sdf = new SimpleDateFormat("MMM dd, yyyy");
		int total=0;
		for (int i = 0; i < rawData.length; i++) {
			Object[] pres = rawData[i];

			s.setString(1, pres[0].toString());
			s.setString(2, pres[1].toString());
			s.setDate(3, new Date(sdf.parse(pres[2].toString()).getTime()));
			s.setDate(4, new Date(sdf.parse(pres[3].toString()).getTime()));
			s.setInt(5, i+1);
			
			File image = new File("src/images/" + (i+1) + ".jpg");
			FileInputStream fis = new FileInputStream(image);
			s.setBinaryStream(6, fis, (int) image.length());
			
			total += s.executeUpdate();
		}
		connection.close();
		System.out.println("done with result=" + total);
	}
	

}
